TULISAN - Bug #3570

Perbaikan Page History [CRM]
04/21/2025 11:12 AM - haykal haykal

Status: Revise Start date: 04/21/2025
Priority: High Due date: 04/25/2025
Assignee: shofwan shiddiq % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 2.00 hours
Description

Dear Shofwan,

Ingin ada beberapa perbaikan ya untk page History CRM:

1. Yang bagian atas (yg tanggal-tanggal itu), ingin daftar Historynya menyesuaikan berdasarkan tanggal yang dipilih (saat ini belum)
2. Tolong agar daftar history transaksi yang muncul berurutan berdasarkan DocNumber (Document Number yg terbaru paling atas).
Saat ini saya lihat belum selalu berurutan.

3. Button Struk yg di tengah (yg lama) dihilangkan saja. Yang dipakai yang button Download saja. Dan di button Download itu
tulisannya tolong ditambah Struk, jadi tulisannya 'Download Struk'’

Terimakasih.

Web: https://tulisan-ecommerce-dev.minovais.com/ECommerce_OrderHistory

History

#1 - 04/21/2025 02:56 PM - Kezia Pawitra Yulianti
- Due date set to 04/25/2025
- Status changed from New to Assigned

- Priority changed from Normal to High

#2 - 04/23/2025 11:57 AM - shofwan shiddiq

- File clipboard-202504231156-cgrit.png added

- Status changed from Assigned to QA Test

- Assignee changed from shofwan shiddiq to haykal haykal

Dear Haykal, page order history sudah di perbaiki yah. perubahan nya antara lain

- Slider hari di footer page dapat di klik dan document load sesaui tanggal
- Button struk lama di hilangkan
- Tulisan "Download" diganti menjadi "Download Struk"

UPDATE

C:\Webserven\Tulisan_Dev\E-Commerce\ViewModel\ECommerce_OrderHistory.js
MinovalS.MinovaES.Web.UI.ERec.dll
*Silahkan refresh dulu page history nya sebelum testing

#3 - 04/28/2025 09:50 AM - haykal haykal
- Status changed from QA Test to Closed

#4 - 05/21/2025 02:03 PM - haykal haykal
- File Button Detail in History.png added

- File Button Back in page Detail.png added
- Status changed from Closed to Assigned

- Assignee changed from haykal haykal to shofwan shiddiq

Ada case yg waktu itu pernah gw bilang ke lu Wan. Yang setelah klik button Detail (Foto 1), 'kan masuk ke page Rincian Pesanan nah trus disitu
kalau mau back mesti klik button Back dua kali (Foto 2). Kenapa begitu ya? Harusnya 'kan sekali saja.

Tolong diperbaiki ya.
Terimakasih.
#5 - 05/28/2025 10:50 AM - shofwan shiddiq

- Status changed from Assigned to QA Test
- Assignee changed from shofwan shiddiq to haykal haykal

Sudah di betulkan ya kal, sekarang back nya hanya 1 kali saja ke page order history nya..

Update
C:\Webserver\Tulisan_Dev\E-Commerce\ECommerce_OrderHistoryDetail.html

#6 - 05/28/2025 01:24 PM - haykal haykal
- Status changed from QA Test to Revise
- Assignee changed from haykal haykal to shofwan shiddiq

Udh Ok sih Wan. ltu klik backnya cuma 1 kali aja.

Tapi kalau misalkan gua buka Detail transaksi di tanggal 26 May trus gua klik back, itu langsung otomatis baliknya ke 28 May (today). Bisa gak
baliknya ke page yg sesuai hari transaksinya aja?
Terimakasih.
